'
' Code to operate the Arduino LOL shield
'
' Written by Les Johnson for the Proton BASIC compiler, operating the LOL shield on the Amicus18 board
'
    Include "Amicus18.inc"                      ' Configure the compiler for the PIC18F25K20 at 64MHz. i.e. An Amicus18 board
    Include "LOLShield.inc"                     ' Load the LOL Shield routines into the program

    Dim bCounter As Byte
    Dim Xpos As Byte
    Dim Ypos As Byte
    Dim bRadius As Byte

'---------------------------------------------------------------------------------------------------
Main:
    LOL_Cls(0)
    LOL_Pen(1)

    While
        '
        ' Draw Circles on the LED matrix
        '
        For bRadius = 1 To cLOL_Max_X
            LOL_Circle(7, 4, bRadius, 1)
            DelayMS 50
            LOL_Circle(7, 4, bRadius, 0)
        Next
        '
        ' Draw lines on the LED matrix
        '
        For Ypos = 0 To cLOL_Max_Y
            LOL_Line(0, 0, cLOL_Max_X, Ypos, 1)
            DelayMS 50
            LOL_Line(0, 0, cLOL_Max_X, Ypos, 0)
        Next
        '
        ' Draw lines on the LED matrix
        '
        For Ypos = cLOL_Max_Y To 0 Step -1
            LOL_Line(0, cLOL_Max_Y, cLOL_Max_X, Ypos, 1)
            DelayMS 50
            LOL_Line(0, cLOL_Max_Y, cLOL_Max_X, Ypos, 0)
        Next
    Wend

    Stop


